/*
======================================================
====      Java Classes For Genetic Algorithms     ====
==== (c) Marek Obitko, 1998-1999, obitko@email.cz ====
======================================================

This file is a part of Java library for genetic algorithms with 
visualization. You may use this library or its part free of charge
provided you acknowledge the author (Marek Obitko), and the source 
(Learning Environment for Genetic Algorithms, one of the URLs 
below) in your work where you use it (contact the author, if you 
are in doubt). Moreover I would appreciate if you inform me 
(via email) about your work where you used it 
(this is not compulsory).

THIS LIBRARY IS PROVIDED "AS IS", WITHOUT ANY WARRANTY.

This package was designed for learning environment for GAs, see
http://cs.felk.cvut.cz/~xobitko/ga  or

Author is studying Czech Technical University in Prague, 
Faculty of Electrical Engineering, Department of Computer Engineering.
Major part of this library was written at University of Applied Sciency
in Dresden, Germany.
*/

/** Parameters for GA developing movement.
  * @see WalkGA
  * <p>
  * @author Marek Obitko, <A HREF="mailto:obitko@email.cz">obitko@email.cz</A>
  * @version 1.0
  */
public class WalkParams
{

  /** Maximum of joints in one Creature */
  public static final int MAX_POINTS=50;
  
  /** Size of population (number of chromosomes), should be even number */
  public static final int POP_SIZE=16;

  public final static int MUTATION_VARIATION=20;
  public final static double CROSSOVER_SWITCH=0;//0.01;
  public final static double VAR_SIZE=0.05;

  /** Position in one move (cycle) of creature */
  public final static int POSITIONS=128;

}